<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>mxPngEncodeParam.Palette (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="mxPngEncodeParam.Palette (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxPngEncodeParam.Palette.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">hk.quantr.mxgraph.util.png</a></div>
<h2 title="Class mxPngEncodeParam.Palette" class="title">Class mxPngEncodeParam.Palette</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="mxPngEncodeParam.html" title="class in hk.quantr.mxgraph.util.png">hk.quantr.mxgraph.util.png.mxPngEncodeParam</a></li>
<li>
<ul class="inheritance">
<li>hk.quantr.mxgraph.util.png.mxPngEncodeParam.Palette</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Enclosing class:</dt>
<dd><a href="mxPngEncodeParam.html" title="class in hk.quantr.mxgraph.util.png">mxPngEncodeParam</a></dd>
</dl>
<hr>
<pre>public static class <span class="typeNameLabel">mxPngEncodeParam.Palette</span>
extends <a href="mxPngEncodeParam.html" title="class in hk.quantr.mxgraph.util.png">mxPngEncodeParam</a></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a id="nested.classes.inherited.from.class.hk.quantr.mxgraph.util.png.mxPngEncodeParam">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;hk.quantr.mxgraph.util.png.<a href="mxPngEncodeParam.html" title="class in hk.quantr.mxgraph.util.png">mxPngEncodeParam</a></h3>
<code><a href="mxPngEncodeParam.Gray.html" title="class in hk.quantr.mxgraph.util.png">mxPngEncodeParam.Gray</a>, <a href="mxPngEncodeParam.Palette.html" title="class in hk.quantr.mxgraph.util.png">mxPngEncodeParam.Palette</a>, <a href="mxPngEncodeParam.RGB.html" title="class in hk.quantr.mxgraph.util.png">mxPngEncodeParam.RGB</a></code></li>
</ul>
</li>
</ul>
</section>
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a id="fields.inherited.from.class.hk.quantr.mxgraph.util.png.mxPngEncodeParam">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;hk.quantr.mxgraph.util.png.<a href="mxPngEncodeParam.html" title="class in hk.quantr.mxgraph.util.png">mxPngEncodeParam</a></h3>
<code><a href="mxPngEncodeParam.html#bitDepth">bitDepth</a>, <a href="mxPngEncodeParam.html#bitDepthSet">bitDepthSet</a>, <a href="mxPngEncodeParam.html#INTENT_ABSOLUTE">INTENT_ABSOLUTE</a>, <a href="mxPngEncodeParam.html#INTENT_PERCEPTUAL">INTENT_PERCEPTUAL</a>, <a href="mxPngEncodeParam.html#INTENT_RELATIVE">INTENT_RELATIVE</a>, <a href="mxPngEncodeParam.html#INTENT_SATURATION">INTENT_SATURATION</a>, <a href="mxPngEncodeParam.html#PNG_FILTER_AVERAGE">PNG_FILTER_AVERAGE</a>, <a href="mxPngEncodeParam.html#PNG_FILTER_NONE">PNG_FILTER_NONE</a>, <a href="mxPngEncodeParam.html#PNG_FILTER_PAETH">PNG_FILTER_PAETH</a>, <a href="mxPngEncodeParam.html#PNG_FILTER_SUB">PNG_FILTER_SUB</a>, <a href="mxPngEncodeParam.html#PNG_FILTER_UP">PNG_FILTER_UP</a></code></li>
</ul>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">Palette</a></span>()</code></th>
<td class="colLast">
<div class="block">Constructs an instance of <code>PNGEncodeParam.Palette</code>.</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getBackgroundPaletteIndex()">getBackgroundPaletteIndex</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the palette index of the suggested background color.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getPalette()">getPalette</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the current RGB palette.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>byte[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getPaletteTransparency()">getPaletteTransparency</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the alpha values associated with each palette entry.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isBackgroundSet()">isBackgroundSet</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns true if a 'bKGD' chunk will be output.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isPaletteSet()">isPaletteSet</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns true if a 'PLTE' chunk will be output.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setBackgroundPaletteIndex(int)">setBackgroundPaletteIndex</a></span>&#8203;(int&nbsp;index)</code></th>
<td class="colLast">
<div class="block">Sets the palette index of the suggested background color.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setBitDepth(int)">setBitDepth</a></span>&#8203;(int&nbsp;bitDepth)</code></th>
<td class="colLast">
<div class="block">Sets the desired bit depth for a palette image.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setPalette(int%5B%5D)">setPalette</a></span>&#8203;(int[]&nbsp;rgb)</code></th>
<td class="colLast">
<div class="block">Sets the RGB palette of the image to be encoded.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setPaletteTransparency(byte%5B%5D)">setPaletteTransparency</a></span>&#8203;(byte[]&nbsp;alpha)</code></th>
<td class="colLast">
<div class="block">Sets the alpha values associated with each palette entry.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#unsetBackground()">unsetBackground</a></span>()</code></th>
<td class="colLast">
<div class="block">Suppresses the 'bKGD' chunk from being output.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#unsetPalette()">unsetPalette</a></span>()</code></th>
<td class="colLast">
<div class="block">Suppresses the 'PLTE' chunk from being output.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.hk.quantr.mxgraph.util.png.mxPngEncodeParam">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;hk.quantr.mxgraph.util.png.<a href="mxPngEncodeParam.html" title="class in hk.quantr.mxgraph.util.png">mxPngEncodeParam</a></h3>
<code><a href="mxPngEncodeParam.html#addPrivateChunk(java.lang.String,byte%5B%5D)">addPrivateChunk</a>, <a href="mxPngEncodeParam.html#filterRow(byte%5B%5D,byte%5B%5D,byte%5B%5D%5B%5D,int,int)">filterRow</a>, <a href="mxPngEncodeParam.html#getBitDepth()">getBitDepth</a>, <a href="mxPngEncodeParam.html#getChromaticity()">getChromaticity</a>, <a href="mxPngEncodeParam.html#getCompressedText()">getCompressedText</a>, <a href="mxPngEncodeParam.html#getDefaultEncodeParam(java.awt.image.RenderedImage)">getDefaultEncodeParam</a>, <a href="mxPngEncodeParam.html#getGamma()">getGamma</a>, <a href="mxPngEncodeParam.html#getICCProfileData()">getICCProfileData</a>, <a href="mxPngEncodeParam.html#getInterlacing()">getInterlacing</a>, <a href="mxPngEncodeParam.html#getModificationTime()">getModificationTime</a>, <a href="mxPngEncodeParam.html#getNumPrivateChunks()">getNumPrivateChunks</a>, <a href="mxPngEncodeParam.html#getPaletteHistogram()">getPaletteHistogram</a>, <a href="mxPngEncodeParam.html#getPhysicalDimension()">getPhysicalDimension</a>, <a href="mxPngEncodeParam.html#getPrivateChunkData(int)">getPrivateChunkData</a>, <a href="mxPngEncodeParam.html#getPrivateChunkType(int)">getPrivateChunkType</a>, <a href="mxPngEncodeParam.html#getSignificantBits()">getSignificantBits</a>, <a href="mxPngEncodeParam.html#getSRGBIntent()">getSRGBIntent</a>, <a href="mxPngEncodeParam.html#getText()">getText</a>, <a href="mxPngEncodeParam.html#isChromaticitySet()">isChromaticitySet</a>, <a href="mxPngEncodeParam.html#isCompressedTextSet()">isCompressedTextSet</a>, <a href="mxPngEncodeParam.html#isGammaSet()">isGammaSet</a>, <a href="mxPngEncodeParam.html#isICCProfileDataSet()">isICCProfileDataSet</a>, <a href="mxPngEncodeParam.html#isModificationTimeSet()">isModificationTimeSet</a>, <a href="mxPngEncodeParam.html#isPaletteHistogramSet()">isPaletteHistogramSet</a>, <a href="mxPngEncodeParam.html#isPhysicalDimensionSet()">isPhysicalDimensionSet</a>, <a href="mxPngEncodeParam.html#isSignificantBitsSet()">isSignificantBitsSet</a>, <a href="mxPngEncodeParam.html#isSRGBIntentSet()">isSRGBIntentSet</a>, <a href="mxPngEncodeParam.html#isSuggestedPaletteSet()">isSuggestedPaletteSet</a>, <a href="mxPngEncodeParam.html#isTextSet()">isTextSet</a>, <a href="mxPngEncodeParam.html#isTransparencySet()">isTransparencySet</a>, <a href="mxPngEncodeParam.html#paethPredictor(int,int,int)">paethPredictor</a>, <a href="mxPngEncodeParam.html#removeAllPrivateChunks()">removeAllPrivateChunks</a>, <a href="mxPngEncodeParam.html#removeUnsafeToCopyPrivateChunks()">removeUnsafeToCopyPrivateChunks</a>, <a href="mxPngEncodeParam.html#setChromaticity(float%5B%5D)">setChromaticity</a>, <a href="mxPngEncodeParam.html#setChromaticity(float,float,float,float,float,float,float,float)">setChromaticity</a>, <a href="mxPngEncodeParam.html#setCompressedText(java.lang.String%5B%5D)">setCompressedText</a>, <a href="mxPngEncodeParam.html#setGamma(float)">setGamma</a>, <a href="mxPngEncodeParam.html#setICCProfileData(byte%5B%5D)">setICCProfileData</a>, <a href="mxPngEncodeParam.html#setInterlacing(boolean)">setInterlacing</a>, <a href="mxPngEncodeParam.html#setModificationTime(java.util.Date)">setModificationTime</a>, <a href="mxPngEncodeParam.html#setPaletteHistogram(int%5B%5D)">setPaletteHistogram</a>, <a href="mxPngEncodeParam.html#setPhysicalDimension(int%5B%5D)">setPhysicalDimension</a>, <a href="mxPngEncodeParam.html#setPhysicalDimension(int,int,int)">setPhysicalDimension</a>, <a href="mxPngEncodeParam.html#setSignificantBits(int%5B%5D)">setSignificantBits</a>, <a href="mxPngEncodeParam.html#setSRGBIntent(int)">setSRGBIntent</a>, <a href="mxPngEncodeParam.html#setSuggestedPalette(hk.quantr.mxgraph.util.png.mxPngSuggestedPaletteEntry%5B%5D)">setSuggestedPalette</a>, <a href="mxPngEncodeParam.html#setText(java.lang.String%5B%5D)">setText</a>, <a href="mxPngEncodeParam.html#unsetBitDepth()">unsetBitDepth</a>, <a href="mxPngEncodeParam.html#unsetChromaticity()">unsetChromaticity</a>, <a href="mxPngEncodeParam.html#unsetCompressedText()">unsetCompressedText</a>, <a href="mxPngEncodeParam.html#unsetGamma()">unsetGamma</a>, <a href="mxPngEncodeParam.html#unsetICCProfileData()">unsetICCProfileData</a>, <a href="mxPngEncodeParam.html#unsetModificationTime()">unsetModificationTime</a>, <a href="mxPngEncodeParam.html#unsetPaletteHistogram()">unsetPaletteHistogram</a>, <a href="mxPngEncodeParam.html#unsetPhysicalDimension()">unsetPhysicalDimension</a>, <a href="mxPngEncodeParam.html#unsetSignificantBits()">unsetSignificantBits</a>, <a href="mxPngEncodeParam.html#unsetSRGBIntent()">unsetSRGBIntent</a>, <a href="mxPngEncodeParam.html#unsetSuggestedPalette()">unsetSuggestedPalette</a>, <a href="mxPngEncodeParam.html#unsetText()">unsetText</a>, <a href="mxPngEncodeParam.html#unsetTransparency()">unsetTransparency</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Palette</h4>
<pre>public&nbsp;Palette()</pre>
<div class="block">Constructs an instance of <code>PNGEncodeParam.Palette</code>.</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="unsetBackground()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>unsetBackground</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;unsetBackground()</pre>
<div class="block">Suppresses the 'bKGD' chunk from being output.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="mxPngEncodeParam.html#unsetBackground()">unsetBackground</a></code>&nbsp;in class&nbsp;<code><a href="mxPngEncodeParam.html" title="class in hk.quantr.mxgraph.util.png">mxPngEncodeParam</a></code></dd>
</dl>
</li>
</ul>
<a id="isBackgroundSet()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isBackgroundSet</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isBackgroundSet()</pre>
<div class="block">Returns true if a 'bKGD' chunk will be output.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="mxPngEncodeParam.html#isBackgroundSet()">isBackgroundSet</a></code>&nbsp;in class&nbsp;<code><a href="mxPngEncodeParam.html" title="class in hk.quantr.mxgraph.util.png">mxPngEncodeParam</a></code></dd>
</dl>
</li>
</ul>
<a id="setBitDepth(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBitDepth</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setBitDepth&#8203;(int&nbsp;bitDepth)</pre>
<div class="block">Sets the desired bit depth for a palette image.  The bit
 depth must be one of 1, 2, 4, or 8, or else an
 <code>IllegalArgumentException</code> will be thrown.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="mxPngEncodeParam.html#setBitDepth(int)">setBitDepth</a></code>&nbsp;in class&nbsp;<code><a href="mxPngEncodeParam.html" title="class in hk.quantr.mxgraph.util.png">mxPngEncodeParam</a></code></dd>
</dl>
</li>
</ul>
<a id="setPalette(int[])">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPalette</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setPalette&#8203;(int[]&nbsp;rgb)</pre>
<div class="block">Sets the RGB palette of the image to be encoded.
 The <code>rgb</code> parameter contains alternating
 R, G, B values for each color index used in the image.
 The number of elements must be a multiple of 3 between
 3 and 3*256.

 <p> The 'PLTE' chunk will encode this information.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>rgb</code> - An array of <code>int</code>s.</dd>
</dl>
</li>
</ul>
<a id="getPalette()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPalette</h4>
<pre class="methodSignature">public&nbsp;int[]&nbsp;getPalette()</pre>
<div class="block">Returns the current RGB palette.

 <p> If the palette has not previously been set, or has been
 unset, an <code>IllegalStateException</code> will be thrown.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>An array of <code>int</code>s.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalStateException</code> - if the palette is not set.</dd>
</dl>
</li>
</ul>
<a id="unsetPalette()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>unsetPalette</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;unsetPalette()</pre>
<div class="block">Suppresses the 'PLTE' chunk from being output.</div>
</li>
</ul>
<a id="isPaletteSet()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isPaletteSet</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isPaletteSet()</pre>
<div class="block">Returns true if a 'PLTE' chunk will be output.</div>
</li>
</ul>
<a id="setBackgroundPaletteIndex(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBackgroundPaletteIndex</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setBackgroundPaletteIndex&#8203;(int&nbsp;index)</pre>
<div class="block">Sets the palette index of the suggested background color.

 <p> The 'bKGD' chunk will encode this information.</div>
</li>
</ul>
<a id="getBackgroundPaletteIndex()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBackgroundPaletteIndex</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;getBackgroundPaletteIndex()</pre>
<div class="block">Returns the palette index of the suggested background color.

 <p> If the background palette index has not previously been
 set, or has been unset, an
 <code>IllegalStateException</code> will be thrown.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalStateException</code> - if the palette index is not set.</dd>
</dl>
</li>
</ul>
<a id="setPaletteTransparency(byte[])">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPaletteTransparency</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setPaletteTransparency&#8203;(byte[]&nbsp;alpha)</pre>
<div class="block">Sets the alpha values associated with each palette entry.
 The <code>alpha</code> parameter should have as many entries
 as there are RGB triples in the palette.

 <p> The 'tRNS' chunk will encode this information.</div>
</li>
</ul>
<a id="getPaletteTransparency()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getPaletteTransparency</h4>
<pre class="methodSignature">public&nbsp;byte[]&nbsp;getPaletteTransparency()</pre>
<div class="block">Returns the alpha values associated with each palette entry.

 <p> If the palette transparency has not previously been
 set, or has been unset, an
 <code>IllegalStateException</code> will be thrown.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalStateException</code> - if the palette transparency is
        not set.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxPngEncodeParam.Palette.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
